# Uses of Class
org.apache.lucene.search.highlight.PositionSpan

Packages that use PositionSpan
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of PositionSpan in org.apache.lucene.search.highlight

  Methods in org.apache.lucene.search.highlight that return types with arguments of type PositionSpan
  Modifier and Type
  Method
  Description
  `List<PositionSpan>`
  WeightedSpanTerm.`getPositionSpans()`
  Method parameters in org.apache.lucene.search.highlight with type arguments of type PositionSpan
  Modifier and Type
  Method
  Description
  `void`
  WeightedSpanTerm.`addPositionSpans(List<PositionSpan> positionSpans)`